complexType "OptionFeatures"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 5 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | asian?, barrier?, knock?, passThrough?, dividendAdjustment?
</...>

Content Model Elements (5):

  asian (in feature defined in Feature.model group), barrier (in feature defined in Feature.model group), dividendAdjustment, | knock (in feature defined in Feature.model group), passThrough (in feature defined in Feature.model group)

All Direct / Indirect Based Elements (1):

  feature (defined in Feature.model group)

Known Usage Locations

- As direct type of elements (1):
  feature (defined in Feature.model group)

Annotation
A type for defining option features.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="OptionFeatures"> <xsd:sequence> <xsd:element minOccurs="0" name="asian" type="Asian"/> <xsd:element minOccurs="0" name="barrier" type="Barrier"/> <xsd:element minOccurs="0" name="knock" type="Knock"/> <xsd:element minOccurs="0" name="passThrough" type="PassThrough"/> <xsd:element minOccurs="0" name="dividendAdjustment" type="DividendAdjustment"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
asian

  Type: | Asian, complex content

  An option where and average price is taken on valuation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="asian" type="Asian"/>

barrier

  Type: | Barrier, complex content

  An option with a barrier feature.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="barrier" type="Barrier"/>

dividendAdjustment

  Type: | DividendAdjustment, complex content

  Dividend adjustment of the contract is driven by the difference between the Expected Dividend, and the Actual Dividend, which is multiplied by an agreed Factor to produce a Deviation, which is used as the basis for adjusting the contract. The parties acknowledge that in determining the Call Strike Price of the Transaction the parties have assumed that the Dividend scheduled to be paid by the Issuer to holders of record of the Shares, in the period set out in Column headed Relevant Period will equal per Share the amount stated in respect of such Relevant Period.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dividendAdjustment" type="DividendAdjustment"/>

knock

  Type: | Knock, complex content

  A knock feature.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="knock" type="Knock"/>

passThrough

  Type: | PassThrough, complex content

  Pass through payments from the underlyer, such as dividends.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="passThrough" type="PassThrough"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.